Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions | Related
kApiLib Class Reference
kApi

## Description

Collection of library management functions.

## Public Member Functions
kStatus | kApiLib_Construct (kAssembly *assembly)
| Constructs the Zen API type assembly (kApiLib). More...
kStatus | kApiLib_EnableNetworkInitialization (kBool enable)
| Enables or disables initialization of network services by this library. More...
kStatus | kApiLib_EnableSymbolInitialization (kBool enable)
| Enables or disables initialization of symbol table resources by this library. More...
kSize | kApiLib_LeaksDetected ()
| Reports memory leaks that occurred during use of this library. More...
kStatus | kApiLib_SetAssertHandler (kApiAssertFx function)
| Sets a handler function for debug assertions. More...
kStatus | kApiLib_SetLogfHandler (kApiLogfFx function)
| Sets a handler function for debug logging operations. More...
kStatus | kApiLib_SetMemAllocHandlers (kApiMemAllocFx allocFx, kApiMemFreeFx freeFx, kPointer provider)
| Sets handler functions for memory alloc/free operations. More...
kStatus | kApiLib_SetSymbolLockHandlers (kApiLockFx lockFx, kApiUnlockFx unlockFx, kPointer provider)
| Sets handler functions for symbol table lock/unlock operations. More...

## Related
typedef kStatus(kCall * | kApiAssertFx )(const kChar *file, k32u line)
| Function signature for debug assertion handler.
typedef k32u(kCall * | kApiLockFx )(kPointer provider)
| Function signature for a lock (exclusive access) operation.
typedef kStatus(kCall * | kApiLogfFx )(const kChar *format, va_list args)
| Function signature for debug log handler.
typedef kStatus(kCall * | kApiMemAllocFx )(kPointer provider, kSize size, void *mem)
| Function signature for memory allocation handler.
typedef kStatus(kCall * | kApiMemFreeFx )(kPointer provider, void *mem)
| Function signature for memory free handler.
typedef k32u(kCall * | kApiUnlockFx )(kPointer provider)
| Function signature for an unlock (exclusive access) operation.

The documentation for this class was generated from the following file:

- kApiLib.h